CUDPPAlgorithm
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.jcudpp
Class CUDPPAlgorithm

    java.lang.Object
      jcuda.jcudpp.CUDPPAlgorithm

    public class CUDPPAlgorithm

extends java.lang.Object

Algorithms supported by CUDPP. Used to create appropriate plans using cudppPlan.

See Also:
  `CUDPPConfiguration`, `JCudpp.cudppPlan(jcuda.jcudpp.CUDPPHandle, jcuda.jcudpp.CUDPPConfiguration, long, long, long)`

Field Summary
`static int` | `CUDPP_COMPACT` Compact
`static int` | `CUDPP_RAND_MD5` Pseudo Random Number Generator using MD5 hash algorithm
`static int` | `CUDPP_REDUCE` Reduction
`static int` | `CUDPP_SCAN` Scan
`static int` | `CUDPP_SEGMENTED_SCAN` Segmented scan
`static int` | `CUDPP_SORT_INVALID` Placeholder at end of enum
`static int` | `CUDPP_SORT_RADIX` Radix sort within chunks, merge sort to merge chunks together
`static int` | `CUDPP_SPMVMULT` Sparse matrix - vector multiplication

Method Summary
`static java.lang.String` | `stringFor(int n)` Returns the String identifying the given CUDPPAlgorithm

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUDPP_SCAN

    public static final int CUDPP_SCAN

  Scan

  See Also:
    Constant Field Values

### CUDPP_SEGMENTED_SCAN

    public static final int CUDPP_SEGMENTED_SCAN

  Segmented scan

  See Also:
    Constant Field Values

### CUDPP_COMPACT

    public static final int CUDPP_COMPACT

  Compact

  See Also:
    Constant Field Values

### CUDPP_REDUCE

    public static final int CUDPP_REDUCE

  Reduction

  See Also:
    Constant Field Values

### CUDPP_SORT_RADIX

    public static final int CUDPP_SORT_RADIX

  Radix sort within chunks, merge sort to merge chunks together

  See Also:
    Constant Field Values

### CUDPP_SPMVMULT

    public static final int CUDPP_SPMVMULT

  Sparse matrix - vector multiplication

  See Also:
    Constant Field Values

### CUDPP_RAND_MD5

    public static final int CUDPP_RAND_MD5

  Pseudo Random Number Generator using MD5 hash algorithm

  See Also:
    Constant Field Values

### CUDPP_SORT_INVALID

    public static final int CUDPP_SORT_INVALID

  Placeholder at end of enum

  See Also:
    Constant Field Values

Method Detail

### stringFor

    public static java.lang.String stringFor(int n)

  Returns the String identifying the given CUDPPAlgorithm

  Parameters:
    `n` - The CUDPPAlgorithm
  Returns:
    The String identifying the given CUDPPAlgorithm

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD